org.apache.poi.sl.draw.binding

## Class CTCustomGeometry2D

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTCustomGeometry2D

-     public class CTCustomGeometry2D
      extends java.lang.Object

  Java class for CT_CustomGeometry2D complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_CustomGeometry2D">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="avLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_GeomGuideList" minOccurs="0"/>
               <element name="gdLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_GeomGuideList" minOccurs="0"/>
               <element name="ahLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_AdjustHandleList" minOccurs="0"/>
               <element name="cxnLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_ConnectionSiteList" minOccurs="0"/>
               <element name="rect" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_GeomRect" minOccurs="0"/>
               <element name="pathLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DList"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CTAdjustHandleList` | `ahLst`
    `protected CTGeomGuideList` | `avLst`
    `protected CTConnectionSiteList` | `cxnLst`
    `protected CTGeomGuideList` | `gdLst`
    `protected CTPath2DList` | `pathLst`
    `protected CTGeomRect` | `rect`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTCustomGeometry2D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CTAdjustHandleList` | `getAhLst()` Gets the value of the ahLst property.
    `CTGeomGuideList` | `getAvLst()` Gets the value of the avLst property.
    `CTConnectionSiteList` | `getCxnLst()` Gets the value of the cxnLst property.
    `CTGeomGuideList` | `getGdLst()` Gets the value of the gdLst property.
    `CTPath2DList` | `getPathLst()` Gets the value of the pathLst property.
    `CTGeomRect` | `getRect()` Gets the value of the rect property.
    `boolean` | `isSetAhLst()`
    `boolean` | `isSetAvLst()`
    `boolean` | `isSetCxnLst()`
    `boolean` | `isSetGdLst()`
    `boolean` | `isSetPathLst()`
    `boolean` | `isSetRect()`
    `void` | `setAhLst(CTAdjustHandleList value)` Sets the value of the ahLst property.
    `void` | `setAvLst(CTGeomGuideList value)` Sets the value of the avLst property.
    `void` | `setCxnLst(CTConnectionSiteList value)` Sets the value of the cxnLst property.
    `void` | `setGdLst(CTGeomGuideList value)` Sets the value of the gdLst property.
    `void` | `setPathLst(CTPath2DList value)` Sets the value of the pathLst property.
    `void` | `setRect(CTGeomRect value)` Sets the value of the rect property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### avLst

          protected CTGeomGuideList avLst

    - #### gdLst

          protected CTGeomGuideList gdLst

    - #### ahLst

          protected CTAdjustHandleList ahLst

    - #### cxnLst

          protected CTConnectionSiteList cxnLst

    - #### rect

          protected CTGeomRect rect

    - #### pathLst

          protected CTPath2DList pathLst

  - ### Constructor Detail

    - #### CTCustomGeometry2D

          public CTCustomGeometry2D()

  - ### Method Detail

    - #### getAvLst

          public CTGeomGuideList getAvLst()

      Gets the value of the avLst property.
      Returns:
        possible object is `CTGeomGuideList`

    - #### setAvLst

          public void setAvLst(CTGeomGuideList value)

      Sets the value of the avLst property.
      Parameters:
        `value` - allowed object is `CTGeomGuideList`

    - #### isSetAvLst

          public boolean isSetAvLst()

    - #### getGdLst

          public CTGeomGuideList getGdLst()

      Gets the value of the gdLst property.
      Returns:
        possible object is `CTGeomGuideList`

    - #### setGdLst

          public void setGdLst(CTGeomGuideList value)

      Sets the value of the gdLst property.
      Parameters:
        `value` - allowed object is `CTGeomGuideList`

    - #### isSetGdLst

          public boolean isSetGdLst()

    - #### getAhLst

          public CTAdjustHandleList getAhLst()

      Gets the value of the ahLst property.
      Returns:
        possible object is `CTAdjustHandleList`

    - #### setAhLst

          public void setAhLst(CTAdjustHandleList value)

      Sets the value of the ahLst property.
      Parameters:
        `value` - allowed object is `CTAdjustHandleList`

    - #### isSetAhLst

          public boolean isSetAhLst()

    - #### getCxnLst

          public CTConnectionSiteList getCxnLst()

      Gets the value of the cxnLst property.
      Returns:
        possible object is `CTConnectionSiteList`

    - #### setCxnLst

          public void setCxnLst(CTConnectionSiteList value)

      Sets the value of the cxnLst property.
      Parameters:
        `value` - allowed object is `CTConnectionSiteList`

    - #### isSetCxnLst

          public boolean isSetCxnLst()

    - #### getRect

          public CTGeomRect getRect()

      Gets the value of the rect property.
      Returns:
        possible object is `CTGeomRect`

    - #### setRect

          public void setRect(CTGeomRect value)

      Sets the value of the rect property.
      Parameters:
        `value` - allowed object is `CTGeomRect`

    - #### isSetRect

          public boolean isSetRect()

    - #### getPathLst

          public CTPath2DList getPathLst()

      Gets the value of the pathLst property.
      Returns:
        possible object is `CTPath2DList`

    - #### setPathLst

          public void setPathLst(CTPath2DList value)

      Sets the value of the pathLst property.
      Parameters:
        `value` - allowed object is `CTPath2DList`

    - #### isSetPathLst

          public boolean isSetPathLst()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.